<?xml version="1.0" encoding="utf-8" ?>
<!--
Licensee: Universidad de La Frontera
License Type: Academic
-->
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping>
	<class name="orm.Bitacora" table="bitacora" lazy="false">
		<id name="id" column="id" type="integer" unsaved-value="0">
			<generator class="native">
			</generator>
		</id>
		<many-to-one name="estado_rce_examen" cascade="lock" column="estado_rce_examenid" class="orm.Estado_rce_examen" not-null="true" lazy="proxy" access="field">
		</many-to-one>
		<many-to-one name="rce_examen" cascade="lock" column="rce_examenid" class="orm.Rce_examen" not-null="true" lazy="proxy" access="field">
		</many-to-one>
		<many-to-one name="persona" cascade="lock" column="personaid" class="orm.Persona" not-null="true" lazy="proxy" access="field">
		</many-to-one>
		<property name="observacion" column="observacion" type="string" length="500" not-null="false" lazy="false">
			<meta attribute="field-description">
				Observacion
			</meta>
		</property>
	</class>
</hibernate-mapping>
